%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		        ocrfeeder
Version:	      0.8.1
Release:	      %mkrel 4
Summary:	      Optical Character Recognition program

License:	      GPLv3+
Group:		      Graphical desktop/GNOME
URL:		        https://wiki.gnome.org/OCRFeeder
#Source0:	      https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-0.8.1.tar.xz
Source0:	      https://github.com/GNOME/ocrfeeder/archive/%{name}-0.8.1.tar.xz
Patch0:		      ocrfeeder-0.7.5-mga-fix-desktop-file-version.patch
Patch1:		      ocrfeeder-0.8-disable-runtime-gi-dep-check-on-build-time.patch
Patch2:		      ocrfeeder-gi-import-fix.patch
Patch3:		      ocrfeeder-desktop-file.patch

BuildArch:	    noarch
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pygtk2.0-devel >= 2.16
BuildRequires:	gnome-python-gtkspell
BuildRequires:	pygoocanvas
BuildRequires:	python-enchant
BuildRequires:	python-pillow
BuildRequires:	python-sane
BuildRequires:	python-reportlab
BuildRequires:  yelp-tools
BuildRequires:  lib64goocanvas2.0-devel
BuildRequires:  lib64gtkspell3-devel

Requires:	      pygtk2 >= 2.13
Requires:	      python-pillow
Requires:	      python-sane
Requires:	      python-reportlab
Requires:	      pygoocanvas
Requires:	      python-enchant
Requires:	      gnome-python-gtkspell
Requires:	      ghostscript
Requires:	      tesseract
Requires:	      unpaper >= 0.3
Requires:	      gtkspell3
Requires:	      lib64gtkspell3_3_0
Requires:	      python-lxml

%description
OCRFeeder is a complete Optical Character Recognition and Document Analysis
and Recognition program.

%prep
%setup -q -n %{name}-master
%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./autogen.sh
%configure2_5x
%make

%install
%make_install

# icons for desktop menu entry
install -Dpm 0644 resources/icons/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/%{name}.svg
%{_mandir}/man1/%{name}*1.*
%{python_sitelib}/%{name}/
%{_datadir}/help/*/%{name}

%changelog
* Sat Mar 02 2019 tex - 0.8.1-4pclos2019
- rebuild against updates
- add missing requires

* Sun Apr 22 2018 marcin82 <fixxer1982 at gmail.com> 0.8.1-3pclos2018
- replaced BR,R: python-pillow-sane -> python-sane
- added BR: lib64goocanvas2.0-devel

* Wed Dec 27 2017 bb2 <bb2> -0.8.1-2pclos2017
- add missing BR

* Mon Nov 27 2017 Zen Subz <techars21 at gmail dot com> - 0.8.1-1pclos2017
- Git snapshot 094f242
